Subject: Re: bug#74869: Fwd: [PATCH] Add predicates for decoded times and time deltas

From: Richard Lawrence <[email-masked]>
Date: Wed, 12 Feb 2025 06:20:45 +0100

Paul Eggert <[email-masked]> writes:

> On 2/11/25 11:14, Stefan Kangas wrote:
>
>> Does that mean to imply that this bug is a wontfix?
>
> Given rwl's December 29 message 
> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74869#16> it sounds like 
> it might be better to have something like an icalendar-decoded-time-p 
> function, which follows the iCalendar standard as opposed to Emacs's 
> more-idiosyncratic rules. So, not a wontfix; more a "let's keep this in 
> iCalendar for now".

Yes, that's fine with me; so I guess this bug can be closed.

By the way, Paul, since you seem to be the (a?) local expert on
time-related stuff: I think I am getting close to having a working
implementation of iCalendar recurrence rules, which are needed to have
fully working semantics for iCalendar date-time values (because time
zone definitions use recurrence rules). But the code has been difficult
to write and I would really appreciate having an expert look over it
when it's ready...would you have any time for that in the nearish future?